UptimeUptime Wiki

Quest

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/quests/{id}

Code example

curl -X GET "https://example.com/api/v1/quests/0"

Response example

{  "id": 0,  "title": "string",  "blurb": "string",  "title_args": [    {      "key": "string",      "text": "string",      "number": 0.1,      "is_number": true    }  ],  "blurb_args": [    {      "key": "string",      "text": "string",      "number": 0.1,      "is_number": true    }  ],  "state": "string",  "unlock_step": 0,  "reward_label": "string"}

Response body

200The entity
application/json

One quest item — what the left-side panel renders. State is one of "Locked" / "Open" / "Next" / "Done"; the Next item is bolded by the renderer to show the player what to focus on.

On this page